.faqs-listing-container.section {
    padding-top: 24px;
}

.faqs-listing-container .content-blocks h1 {
    margin: 0 0 24px;
}

.faqs-listing-container .content-blocks h2 {
    text-align: left;
    display: none;
}

.faq-list-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin: 16px 0 24px;
    flex-direction: column-reverse;
    gap: 16px;
}

.faq-list-categories {
    display: flex;
    gap: 5px;
    width: 100%;
    overflow-x: auto;
    white-space: nowrap;
    padding-bottom: 5px;
}

.faq-list-categories button {
    padding: 6px 12px;
    background-color: var(--tabs-bg-color);
    height: 30px;
    color: var(--color-neutral-600);
    border: none;
    cursor: pointer;
    border-radius: 20px;
    transition: background-color 0.3s ease;
    font-size: 12px;
    font-weight: normal;
    flex: 0 0 auto;
}

.faq-list-categories button.active,
.faq-list-categories button:hover {
    background-color: var(--tabs-bg-active-color);
    color: var(--color-white);
}

.faq-list-search-wrap {
    width: 100%;
    position: relative;
}

.faq-list-search-bar {
    padding: 12px 50px 12px 24px;
    border-radius: 4px;
    border: none;
    height: 40px;
    width: 100%;
    box-shadow: var(--primary-boxshadow);
    font-size: 12px;
    color: var(--text-color);
    background: url("/icons/search.svg") no-repeat 95% center var(--color-white);

    &:focus-visible {
        outline: 1px solid var(--color-primary);
    }
}

.faq-sub-category-list,
.faq-question-list {
    list-style-type: none;
    padding-left: 0;
}

.faq-sub-category-list li {
    cursor: pointer;
    padding: 18px 8px;
    border-bottom: 1px solid var(--color-neutral-100);
    font-size: 14px;
    color: var(--text-color);
}

.faq-search-suggest li {
    padding: 10px;
    cursor: pointer;
}

.faq-sub-category-list li:first-child {
    border-top: 1px solid #e3e5e8;
}

.faq-sub-category-list li.active {
    background-color: var(--tabs-bg-active-color);
    color: var(--color-white);
}

.faq-question-list {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.faq-search-suggest {
    list-style-type: none;
    background-color: var(--color-white);
    border: 1px solid var(--color-neutral-100);
    max-height: 200px;
    overflow-y: auto;
    position: absolute;
    z-index: 10;
    width: 100%;
    display: none;
    margin-top: 5px;
    padding: 0;
}

.faq-search-suggest li:hover {
    background-color: var(--color-neutral-100);
}

.faq-list-content {
    display: flex;
    gap: 24px;
    flex-direction: column;
}

.faq-sub-categories {
    width: 100%;
}

.faq-right-column {
    width: 100%;
}

.faq-accordion-item {
    border-radius: 4px;
    background: #fff;
    box-shadow: var(--primary-boxshadow);
    padding: 0 16px 16px;
}

.faq-accordion-header {
    cursor: pointer;
    position: relative;
    color: var(--color-text-primary);
    font-size: var(--f-s-body);
    font-weight: var(--font-weight-medium);
    padding-right: 30px;
    padding-top: 16px;
}

.faq-accordion-header-arrow {
    position: absolute;
    right: 0;
    height: 24px;
    width: 24px;
    transition: all 300ms ease-in-out;
    transform: translate(0, -50%);
    top: calc(50% + 8px);
}

.faq-accordion-header.open .faq-accordion-header-arrow {
    transform: translate(0, -50%) rotate(-180deg);
    top: calc(50% + 6px);
}

.faq-accordion-body {
    max-height: 0;
    overflow: hidden;
    opacity: 0;
    padding: 0 15px;
    transition: max-height 0.3s ease-out, padding 0.3s ease-out,
    opacity 0.3s ease-out;

    a {
        color: var(--link-color);
        font-size: 16px;
    }
}

.faq-accordion-body.open {
    max-height: 300px; 
    opacity: 1;
    padding: 15px;
}

.faq-no-data {
    font-size: var(--fs-custom-3);
    text-align: center;
    margin: 24px 0;
}

.faq-accordion-header.open {
    border-bottom: 1px solid var(--brand-sky-blue-color-500);
    padding-bottom: 10px;
}

.faq-accordion-body.open table {
    border-collapse: collapse;
    margin-top: 15px;
}

.faq-accordion-body.open table th, .faq-accordion-body.open table td {
    padding: 10px;
}



@media (width >=600px) {
    .faq-accordion-header.open {
        border-bottom: 1px solid var(--brand-sky-blue-color-500);
    }
}

@media (width >=600px) {
    .faqs-listing-container .content-blocks h1 {
        margin: 0 0 52px;
    }

    .faqs-listing-container .content-blocks h2 {
        display: block;
    }

    .faq-list-header {
        margin-top: 24px;
        justify-content: space-between;
        align-items: center;
        flex-direction: row;
    }

    .faq-list-search-wrap {
        width: auto;
    }

    .faq-accordion-item {
        padding: 0 15px 15px;
    }

    .faq-accordion-header {
        padding-top: 15px;
    }

    .faq-question-list {
        gap: 24px;
    }

    .faq-list-search-bar,
    .faq-search-suggest {
        width: 373px;
    }

    .faq-list-categories {
        width: calc(100% - 393px);
    }

    .faq-list-content {
        flex-direction: row;
        gap: 20px;
    }

    .faq-sub-categories {
        width: 30%;
        border-radius: 8px;
        background: #fff;
        box-shadow: var(--primary-boxshadow);
        padding: 30px 12px;
        height: 320px;
        overflow-y: auto;
    }

    .faq-sub-categories::-webkit-scrollbar {
        width: 4px; 
    }
    
   
    .faq-sub-categories::-webkit-scrollbar-thumb {
        background-color:var(--color-primary); 
        border-radius: 4px; 
    }
    
    
    .faq-sub-categories::-webkit-scrollbar-track {
        background-color:var(--color-neutral-100);
        border-radius: 4px;
    }

    .faq-right-column {
        width: 70%;
    }

    .faq-accordion-header-arrow {
        top: calc(50% + 12px);
    }
}
